/******************************
 * The Fredericks Company
 * www.frederickscompany.com
 * sales@frederickscompany.com
 *
 * PWM Arduino Communication
 * 
 * Code for Arduino Uno to read tilt and temperature from
 * a sensor mounted on the 1-6200-007 signal conditioner
 * using a PWM signal.
 * 
 * Output: print X, Y, and Temperature to serial port every 1 second
 *
 * Rev -
 * 
 * */

#define XPIN 7 // define the xpin as 7
#define YPIN 8 // define the ypin as 8

void setup() {
    Serial.begin(9600); // set the baud rate for the Arduino serial communication
    pinMode(A2, INPUT); // set A2 as input
    pinMode(XPIN, INPUT); // set the xpin as input
    pinMode(YPIN, INPUT); // set the ypin as input
}

void loop () {
    int temperature; // define the temperature variable
    unsigned long x, y; // define the x & y variables

    x = pulseIn(XPIN, LOW); // get the x reading
    y = pulseIn(YPIN, LOW); // get the y reading
    temperature = analogRead(A2); // get the temperature reading

    char res[50]; // define a char array to store the output
    sprintf(res, "X: %u, Y: %u, Temperature: %i", (int) x, (int) y, temperature); // assemble the output
    Serial.println(res); // print the output to the Serial Monitor

    delay(1000);
}
